classification
Title: (readline) Autofill the closing parenthesis during auto-completion for functions which accept no arguments at all
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: corona10, opensource-assist, remi.lapeyre
Priority: normal Keywords: patch

Created on 2020-01-12 16:31 by opensource-assist, last changed 2020-06-30 13:48 by corona10. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 20562 merged remi.lapeyre, 2020-06-01 00:19
Messages (2)
msg359855 - (view) Author: Aurora (opensource-assist) * Date: 2020-01-12 16:31
If Python is compiled with the GNU readline headers, it will provide autocompletion for Python functions and etc.

In the Python interpreter environment, if a function is typed partially, Python will fill in the rest if a tab character is typed.

If a function accepts no arguments, Python still doesn't fill in the last closing paraenthesis during autocompletion, in the hope that the user will provide arguments, but in such a case it's pointless.
msg372692 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2020-06-30 13:48
New changeset bd4a3f21454a6012f4353e2255837561fc9f0e6a by RĂ©mi Lapeyre in branch 'master':
bpo-39314: Closes parenthesis when autocompleting for functions that take no arguments (GH-20562)
https://github.com/python/cpython/commit/bd4a3f21454a6012f4353e2255837561fc9f0e6a
History
Date User Action Args
2020-06-30 13:48:54corona10setstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-06-30 13:48:19corona10setnosy: + corona10
messages: + msg372692
2020-06-03 13:41:43orsenthilsetversions: + Python 3.10
2020-06-01 00:19:06remi.lapeyresetkeywords: + patch
nosy: + remi.lapeyre

pull_requests: + pull_request19803
stage: patch review
2020-01-31 16:15:01opensource-assistsettitle: Autofill the closing paraenthesis during auto-completion for functions which accept no arguments at all -> (readline) Autofill the closing parenthesis during auto-completion for functions which accept no arguments at all
2020-01-14 05:56:52opensource-assistsetversions: - Python 3.9
2020-01-12 16:51:01opensource-assistsettitle: Autofill the closing paraenthesis during auto-completion for functions which accept no arguments -> Autofill the closing paraenthesis during auto-completion for functions which accept no arguments at all
2020-01-12 16:31:37opensource-assistcreate